com.ihr.xbrl.transform.target

## Interface XBRLFactHandlerInterface

- All Known Implementing Classes:
    HTMLFactHandler, XBRLFactHandler

      public interface XBRLFactHandlerInterface

  The Interface XBRLFactHandlerInterface.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endOfDocument()` Called by the processor to announce the instance document processing is finished.
    `java.net.URI` | `getConfigFile()` Returns the config file that was set using the getConfigFile method or null if no config file has been set.
    `void` | `init()` Called by the processor once the object is instantiated and after the configuration file is set.
    `void` | `processContexts(java.util.Iterator<XBRLContext> contexts)` Called by the processor to inform about the contexts that exist in the instance document.
    `javax.xml.transform.Source` | `processFact(XBRLFact fact)` Called by the processor to inform about a new fact that requires processing.
    `void` | `setConfigFile(java.net.URI configFile)` Sets a configuration file for this transformer.
    `void` | `startOfDocument(XBRLInstance instance)` Called by the processor to announce a new instance document is about to be processed.

- - ### Method Detail

    - #### setConfigFile

          void setConfigFile(java.net.URI configFile)

      Sets a configuration file for this transformer.
      Parameters:
        `configFile` - URI

    - #### init

          void init()
                    throws DataTargetConfigurationFileException

      Called by the processor once the object is instantiated and after the configuration file is set.
      Throws:
        `DataTargetConfigurationFileException` - the data target configuration file exception

    - #### startOfDocument

          void startOfDocument(XBRLInstance instance)
                               throws FactHandlerException

      Called by the processor to announce a new instance document is about to be processed.
      Parameters:
        `instance` - XBRLInstance object
      Throws:
        `FactHandlerException` - the fact handler exception

    - #### endOfDocument

          void endOfDocument()

      Called by the processor to announce the instance document processing is finished.

    - #### processContexts

          void processContexts(java.util.Iterator<XBRLContext> contexts)

      Called by the processor to inform about the contexts that exist in the instance document. This information could be used to prepare the number of columns and things like that.
      Parameters:
        `contexts` - Iterator

    - #### processFact

          javax.xml.transform.Source processFact(XBRLFact fact)

      Called by the processor to inform about a new fact that requires processing.
      Parameters:
        `fact` - XBRLFact
      Returns:
        the source

    - #### getConfigFile

          java.net.URI getConfigFile()

      Returns the config file that was set using the getConfigFile method or null if no config file has been set.
      Returns:
        the config file